apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: loki
  namespace: argocd
  labels:
    env: dev
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
  destination:
    name: in-cluster
    namespace: monitoring
  sources:
    - repoURL: https://github.com/grafana/helm-charts
      path: charts/loki-distributed
      targetRevision: HEAD
      helm:
        valueFiles:
          - $values/rire/factory.c-one-infra.de/stacks/monitoring/loki/values.yaml
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      ref: values

    ## consider using the following version, if it works again
    #- repoURL: https://github.com/grafana/loki
    #  path: production/helm/loki
